 /*====  main.c =====*/
#include "mcc_generated_files/mcc.h"

	uint8_t  PswF;
	uint8_t  PsSg;
	uint16_t PsCt;
	uint8_t  PsLs;
	uint8_t  T2Flg;

void tm2_my_isr(uint8_t ps){
    switch(PsSg){
        case 1:
            if(ps == 0){
                PswF = 1;
                PsSg = 2;
                PsCt++;
            }else{
                PsSg = 0;
            }
            break; 
        case 2:
            if(ps == 0){
                PsCt++;
            }else{
                PsSg = 3;
            }
            break;
        case 3:
            if(ps == 0){
                PsSg = 2;
                PsCt++;
            }else{
                TMR2_StopTimer();
                PswF = 0;
                PsSg=0;
            }
            break;
        default:
        	break;
    }
}

/* ===  Main application === */
void main(void)
{
    uint8_t ps;
    // initialize the device
    SYSTEM_Initialize();
    
    TMR2_StopTimer();

    INTERRUPT_GlobalInterruptEnable();
    INTERRUPT_PeripheralInterruptEnable();

    while (1)
    {
        ps = Sw_A4_PORT;
        if((PsSg == 0)&&(ps  == 0)){
         	TMR2 = 0x00;
            	PsCt = 1;
            	PsSg = 1;
            	TMR2_StartTimer();   
        }
        if(T2Flg){
            	tm2_my_isr(ps);
            	T2Flg = 0;
        }
//        LATAbits.LATA2 = PswF;	//eXgp
        if(PsLs < PswF){  			//オ
            	Pt_A5_Toggle();
		}else if(PsLs > PswF){		//
            if(PsCt > 400) Led_A2_Toggle;
		}
        PsLs = PswF;
    }
}
